CacheJoinFragment (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class CacheJoinFragment

    java.lang.Object
      org.hibernate.sql.JoinFragment
          org.hibernate.sql.ANSIJoinFragment
              org.hibernate.sql.CacheJoinFragment

    public class CacheJoinFragment

extends ANSIJoinFragment

A Caché dialect join. Differs from ANSI only in that full outer join is not supported.

Field Summary

Fields inherited from class org.hibernate.sql.JoinFragment
`FULL_JOIN, INNER_JOIN, LEFT_OUTER_JOIN, RIGHT_OUTER_JOIN`

Constructor Summary
`CacheJoinFragment()`

Method Summary
`void` | `addJoin(String tableName, String alias, String[] fkColumns, String[] pkColumns, JoinType joinType, String on)`

Methods inherited from class org.hibernate.sql.ANSIJoinFragment
`addCondition, addCondition, addCondition, addCrossJoin, addFromFragmentString, addJoin, addJoins, copy, toFromFragmentString, toWhereFragmentString`

Methods inherited from class org.hibernate.sql.JoinFragment
`addCondition, addFragment, hasFilterCondition, hasThetaJoins, setHasFilterCondition, setHasThetaJoins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheJoinFragment

    public CacheJoinFragment()

Method Detail

### addJoin

    public void addJoin(String tableName,
                        String alias,
                        String[] fkColumns,
                        String[] pkColumns,
                        JoinType joinType,
                        String on)

  Overrides:
    `addJoin` in class `ANSIJoinFragment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.